org.springframework.oxm.mime

## Interface MimeContainer

    public interface MimeContainer

Represents a container for MIME attachments Concrete implementations might adapt a SOAPMessage or an email message.

Since:
  3.0
Author:
  Arjen Poutsma
See Also:
  XML-binary Optimized Packaging

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addAttachment(String contentId, DataHandler dataHandler)` Add the given data handler as an attachment to this container.
`boolean` `convertToXopPackage()` Turn this message into a XOP package.
`DataHandler` `getAttachment(String contentId)` Return the attachment with the given content id, or `null` if not found.
`boolean` `isXopPackage()` Indicate whether this container is a XOP package.

### Method Detail

#### isXopPackage

    boolean isXopPackage()

Indicate whether this container is a XOP package.

Returns:
  `true` when the constraints specified in Identifying XOP Documents are met
See Also:
  XOP Packages

#### convertToXopPackage

    boolean convertToXopPackage()

Turn this message into a XOP package.

Returns:
  `true` when the message actually is a XOP package
See Also:
  XOP Packages

#### addAttachment

    void addAttachment(String contentId,
                       DataHandler dataHandler)

Add the given data handler as an attachment to this container.

Parameters:
  `contentId` - the content id of the attachment
  `dataHandler` - the data handler containing the data of the attachment

#### getAttachment

    @Nullable
    DataHandler getAttachment(String contentId)

Return the attachment with the given content id, or `null` if not found.

Parameters:
  `contentId` - the content id
Returns:
  the attachment, as a data handler